#include <iostream>
#define endl '\n';
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long l;
    int a, b;
    cin >> l >> a >> b;
    if(l%a==0){
        cout << l/a-1 << endl;
    } else {
        cout << l/a << endl;
    }
    return 0;
}

